SDL_SetPaletteColors(3)

NAME
SDL_SetPaletteColors - Set a range of colors in a palette.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetPaletteColors(SDL_Palette *palette, const SDL_Color *colors, int firstcolor, int ncolors);

FUNCTION PARAMETERS

palette
    the SDL_Palette
     structure to modify.

colors
    an array of SDL_Color
     structures to copy into the palette.

firstcolor
    the index of the first palette entry to modify.

ncolors
    the number of entries to modify.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread, as long as the palette is not modified or destroyed in another thread.

AVAILABILITY
This function is available since SDL 3.2.0.